iPad Missing Apps 4.3.x and 5.0.x

NOTICE 3/2/2012: due to legal concerns, the iPad Missing Apps have been removed from the Pepper dot Net repo. I recommend you instead use the Belfry package, available on Cydia.

NOTICE 4/17/2012: chpwn, the¬†creator of Spire,¬†has informed me that the Spire source on github is for reference only and modified versions of Spire are not allowed, so it’s been removed. Sorry about that.

If you are currently using the iPad Missing Apps, you should uninstall them completely, along with whatever version of Spire you had as well. Then install Belfry. Despite the warning, I have encountered no issues with the Widgets, so be sure to let it install those if you want them in your notification center.

After the reboot you may then install the Belfry-compatible Spire from my repo, if you desire Siri functionality. Then another reboot (sorry!)

I’ve also added a couple of tweaks for specific apps (Clock and VoiceMemos) that have hideous graphics problems trying to run in iPad mode. These are each separate packages so you can choose what you like.

Besides being a cleaner and more legal solution, this removes the need to hunt down an iPad-compatible Spire at some pirate repo.

For historical reference, you may see what used to be here by scrolling down. Everything below here is no longer applicable.

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

;

(really, you’re interested in this? Just a bit further.)

;

;

;

;

;

;

;

;

;

;

;

;

;

READ THIS! On iOS5, several of the apps (Clock, Stocks and Weather) require Siri or Spire to be installed (dependency on “gsc.assistant” error message).

Unless you have donated (nobody has yet, cheapskates), I will NOT answer any emails asking why some of these apps fail to install because they depend on “gsc.assistant” because you were too lazy to read this page.

More details below.

Here are the built-in iOS apps that for whatever reason, Apple forgot to include with your iPad.

  • Calculator
  • Compass
  • Clock
  • Stocks
  • Voice Control [Recommended only for advanced users, see special instructions below]
  • Voice Memos
  • Weather

All of these were ported from the iPhone 4 so they run as iPhone apps, 2x mode recommended.

Requires iPad or iPad 2.

IMPORTANT for iOS5: Until I figure out something different, Clock, Stocks, and Weather require Siri or Spire to be installed on the device. Siri does not have to be active or configured but it contains “something” required for these apps to run. The original Spire on the BigBoss repo cannot be installed on an iPad without some obscure technical knowledge, but there is a version without this restriction on several of the “pirate” repos such as “insanelyi” and “ihacksrepo” – of course like everything in the world these days, this is provided without warranty and you assume all risk.

Furthermore, the Weather gadget in the Notification Center is distorted. This is a known issue.

There is a set of apps that support iOS 4.3.x. and another that support 5.0.x. Please install the correct version. Voice Memos is not included for 4.3.x

Compass: Please choose the language(s) you need and the base package will auto-install. If you choose all languages the total is around 40.5 megabytes. If you already downloaded the older package that contained all languages, you don’t need to replace it.

Voice Control: See this video for more details. I have provided a package of required files for VoiceControl. After installing this, you need to edit /System/Library/CoreServices/SpringBoard.app/K93AP.plist and add the following in the “capabilities” section:

;voice-control;
;

Revision History:

  • 4.3.3 Initial release, iPad2 only.
  • 4.3.3-1 Support for original iPad as well.
  • 5.0.1 Support iPad and iPad 2 on iOS 5.0 and 5.0.1

Legal disclaimer: It is assumed that you have access to both your iPad and an iPhone containing these apps. This is something you could do yourself by copying the apps over using SSH or other method. I am only providing the packages here as a convenience and will take them down at the slightest hint of any discomfort on Apple’s part.

This entry was posted in Cydia. Bookmark the permalink.

7 Responses to iPad Missing Apps 4.3.x and 5.0.x

  1. avatar FirefoxSystem says:

    Do not work on iPad 1 with iOS 5.0.1!
    It close on start.

  2. avatar Lonehangman says:

    I’m not sure what you are talking about…I got it working (all of it). But also I know the iPad software, so bypassing the requirements and fixing stuff was quite easy, now I can continue patching/fixing siri on the iPad (I’ll mention you). Also sorry to hear about your dog.

  3. avatar Lonehangman says:

    Do you need any help with getting the apps working on ios 5+, I really need the stock apps working on ios 5+.

  4. avatar Lonehangman says:

    I got it working on iOS 5.0.1

  5. avatar i4640 says:

    Well, the calculator app isn’t compatible with Spire on iOS 5.
    As you mentioned, Spire must be installed in order to satisfy gsc.assistant dependency, so does it mean the calculator can’t be installed with MobileTimer simultaneously?

Leave a Reply

Your email address will not be published. Required fields are marked *